#include <iostream>

using namespace std;

long minFrom(long a, long b) {
    return a <= b ? a : b;
}

long minFrom(long a, long b, long c) {
    return minFrom(minFrom(a, b), c);
}

int main() {
    long state[1001];
    long lengths[1001];

    long n;
    cin >> n;

    for (long i = 0; i < n; i++) {
        cin >> lengths[i + 1];
    }

    state[1] = lengths[1];
    state[2] = lengths[1] + lengths[2];
    state[3] = lengths[1] + lengths[3];
    #ifdef DEBUG
    cout << state[1] << " " << state[2] << " " << state[3];
    #endif
    for (long i = 4; i <= n; i++) {
        state[i] = minFrom(state[i - 1], state[i - 2], state[i - 3]) + lengths[i];

        #ifdef DEBUG
        cout << " " << state[i];
        #endif
    }
    cout << endl;

    cout << state[n];

	return 0;
}
